/**
 * Netwosix Web Admin - agentd
 * Copyright (C) 2006 netwosix team
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * If you want to contact e-mail at info@netwosix.org
 */

#include "agentd.h"


static AlXml * config_xml = NULL;


/**
 */
AlXml * agentd_config(void)
{
	if (config_xml == NULL)
		config_xml = al_xml_new_from_file(AGENTD_CONFIG_FILE);

	if (al_xml_verify(config_xml))
		al_exit (1, "Could not parse config file %s\n", AGENTD_CONFIG_FILE);
	
	return config_xml;
}
