/**
 * Netwosix Web Admin - xml-verify
 * Copyright (C) 2006 netwosix team
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * If you want to contact e-mail at info@netwosix.org
 */

#include <al.h>

#include <libxml/tree.h>
#include <libxml/parser.h>



/**
 * Read from stdin the XML file. If it is correct return 0.
 */
int main(int argc, char ** argv)
{
	char        * buf = NULL;
	int           len;
	xmlDoc      * doc = NULL;
	xmlNode     * root_element = NULL;


	doc = xmlReadFd(STDIN_FILENO, NULL, NULL, 0);
	if (doc == NULL) return 2;

	/* Get the root element node */
	root_element = xmlDocGetRootElement(doc);
	if (root_element == NULL) return 3;


	return 0;
}
