/**
 * Netwosix Web Admin - agentd
 * Copyright (C) 2006 netwosix team
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * If you want to contact e-mail at info@netwosix.org
 */

#ifndef AGENTD_H
#define AGENTD_H


#ifdef HAVE_CONFIG_H
#include "../config.h"
#endif

#include <al.h>

/**
 * Version
 */
#define AGENTD_VERSION_MAJOR           0
#define AGENTD_VERSION_MINOR           0
#define AGENTD_VERSION_MICRO           6
#define AGENTD_VERSION_NAME       agentd

#define AGENTD_VERSION            AL_TO_VERSION(AGENTD_VERSION_NAME,AGENTD_VERSION_MAJOR,AGENTD_VERSION_MINOR,AGENTD_VERSION_MICRO)

/**
 * Default config file.
 */
#define AGENTD_CONFIG_FILE           "../etc/agentd.conf"

#include "conf.h"

#include "request.h"
#include "response.h"

#include "agent.h"


#endif /* AGENTD_H */
