/**
 * Netwosix Web Admin - agents
 * Copyright (C) 2006 netwosix team
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * If you want to contact e-mail at info@netwosix.org
 */

#ifndef AGENTS_H
#define AGENTS_H


#ifdef HAVE_CONFIG_H
#include "../config.h"
#endif

#include <al.h>

/**
 * Version
 */
#define AGENTS_VERSION_MAJOR               0
#define AGENTS_VERSION_MINOR               0
#define AGENTS_VERSION_MICRO               6
#define AGENTS_VERSION_NAME           agents

#define AGENTS_VERSION                AL_TO_VERSION(AGENTS_VERSION_NAME,AGENTS_VERSION_MAJOR,AGENTS_VERSION_MINOR,AGENTS_VERSION_MICRO)


/**
 * Default config file.
 */
#define AGENTS_CONFIG_FILE           "../etc/agents.conf"


#include "conf.h"


#endif /* AGENTS_H */
